<?xml version="1.0" encoding="UTF-8"?>

<tests>

<test>
  <commentblock>/**
 * GtkdocEnum:
 * @GTKDOC_ENUM_V1: first
 * @GTKDOC_ENUM_V2: second
 *    Since: 0.10
 *
 * Enum values for the #GtkdocEnum type.
 */</commentblock>
  <docblock>
    <identifier>
      <name>GtkdocEnum</name>
    </identifier>
    <parameters>
      <parameter>
        <name>GTKDOC_ENUM_V1</name>
        <description>first</description>
      </parameter>
      <parameter>
        <name>GTKDOC_ENUM_V2</name>
        <description>second Since: 0.10</description>
      </parameter>
    </parameters>
    <description>Enum values for the #GtkdocEnum type.</description>
  </docblock>
</test>

<test>
  <commentblock>/**
 * GtkdocPlainOldData:
 * @n: Some integer member.
 * @x: Some floating point member.
 *
 * Unboxed plain old data that should default to public members.
 **/</commentblock>
  <docblock>
    <identifier>
      <name>GtkdocPlainOldData</name>
    </identifier>
    <parameters>
      <parameter>
        <name>n</name>
        <description>Some integer member.</description>
      </parameter>
      <parameter>
        <name>x</name>
        <description>Some floating point member.</description>
      </parameter>
    </parameters>
    <description>Unboxed plain old data that should default to public members.</description>
  </docblock>
</test>

<test>
  <commentblock>/**
 * GtkdocBoxedPlainOldData:
 * @n: Some integer member.
 * @x: Some floating point member.
 *
 * Boxed plain old data that should default to public members.
 **/</commentblock>
  <docblock>
    <identifier>
      <name>GtkdocBoxedPlainOldData</name>
    </identifier>
    <parameters>
      <parameter>
        <name>n</name>
        <description>Some integer member.</description>
      </parameter>
      <parameter>
        <name>x</name>
        <description>Some floating point member.</description>
      </parameter>
    </parameters>
    <description>Boxed plain old data that should default to public members.</description>
  </docblock>
</test>

</tests>
